Go to the latest version of this document.

# ``twisted`.`python`.`log`.`DefaultObserver``

class documentation

`class DefaultObserver(_GlobalStartStopObserver): (source)`

View In Hierarchy

Default observer.

Will ignore all non-error messages and send error messages to sys.stderr. Will be removed when startLogging() is called for the first time.

Method | `emit` | Emit an event dict.

Inherited from `_GlobalStartStopObserver`:

Method | `start` | Start observing log events.
Method | `stop` | Stop observing log events.

def emit(self, eventDict: `EventDict`): (source)
overrides `twisted.python.log._GlobalStartStopObserver.emit`

Emit an event dict.

Parameters
eventDict:`EventDict` | an event dict